package cn.ezhizao.project.system.mapper;

import java.util.List;

import cn.ezhizao.project.system.domain.SysRoleInIt;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * roleInitMapper接口
 *
 * @author ruoyi
 * @date 2024-01-10
 */
public interface SysRoleInItMapper extends BaseMapper<SysRoleInIt>
{
    /**
     * 查询roleInit列表
     *
     * @param sysRoleInit roleInit
     * @return roleInit集合
     */
    public List<SysRoleInIt> getList(SysRoleInIt sysRoleInit);

    /**
     * 物理删除
     * @param sysRoleInit
     * @return 删除结果
    */
    public int physicalDelete(SysRoleInIt sysRoleInit);

    SysRoleInIt getById(Long id);

    int insertRoleInIt(SysRoleInIt sysRoleInit);

    int  updateRoleInIt(SysRoleInIt sysRoleInit);

    int deleteRoleInItByIds(List<Long> ids);
}
